CVC4::TupleUpdate Class Reference

`#include <tuple.h>`

## Public Member Functions

| TupleUpdate (unsigned index) throw ()
unsigned | getIndex () const throw ()
bool | operator== (const TupleUpdate &t) const throw ()
bool | operator!= (const TupleUpdate &t) const throw ()

## Detailed Description

Definition at line 38 of file tuple.h.

## Constructor & Destructor Documentation

## TupleUpdate()

CVC4::TupleUpdate::TupleUpdate | ( | unsigned | index | ) |
throw | ( | ) |  |  |

inline

Definition at line 41 of file tuple.h.

## Member Function Documentation

## getIndex()

unsigned CVC4::TupleUpdate::getIndex | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 42 of file tuple.h.

Referenced by CVC4::TupleUpdateHashFunction::operator()(), and CVC4::operator<<().

## operator!=()

bool CVC4::TupleUpdate::operator!= | ( | const TupleUpdate & | t | ) | const
throw | ( | ) |  |  |

inline

Definition at line 44 of file tuple.h.

## operator==()

bool CVC4::TupleUpdate::operator== | ( | const TupleUpdate & | t | ) | const
throw | ( | ) |  |  |

inline

Definition at line 43 of file tuple.h.

The documentation for this class was generated from the following file:

- src/util/tuple.h